/******************************************************************************
* C Include: Header List                                                      *
*                                                                             *
* File:                                                                       *
*    hdrlist.h                                                                *
*                                                                             *
* Description:                                                                *
*    Include file for the Header List functions.                              *
*                                                                             *
* History:                                                                    *
*    Created    : 23-AUG-93 by J. Doggett,                                    *
*       For The Association of Universities for Research in Astronomy, Inc.   *
*          at the Space Telescope Science Institute,                          *
*       To facilitate the accessing of data from the CD-ROM set of the        *
*          Digitized Sky Survey.                                              *
*    Delivered  : 01-MAR-94 by J. Doggett,                                    *
*       GetImage Version 1.0                                                  *
*                                                                             *
* Copyright (c) 1993, 1994, Association of Universities for Research in       *
* Astronomy, Inc.  All Rights Reserved.                                       *
* Produced under National Aeronautics and Space Administration grant          *
* NAG W-2166.                                                                 *
******************************************************************************/
#ifndef __HDRLIST__
#define __HDRLIST__

#include "header.h"
#include "lnkd_lst.h"

/*********************************
* Header List derived data types *
*********************************/
typedef LL      HDR_LIST; /* Linked list of plates           */
typedef LL_NODE HL_NODE ; /* Node in a linked list of plates */

/************************************
* Header List functions' prototypes *
************************************/
void     Add_Header_to_List      (/* HDR_LIST List  ,
				     HEADER   Header */);

HDR_LIST Create_Empty_Header_List(/* void            */);

void     Delete_Header_List_Data (/* HDR_LIST List   */);

HEADER   Get_Header_from_List    (/* HDR_LIST List  ,
				     HEADER   Header */);

#endif
